package com.jscape.inet.scp;

import java.io.IOException;

/**
 * Represents SCP protocol error.
 *
 * @author Alex Usun
 */
public class ScpException
        extends IOException {

    private static final long serialVersionUID = 247645381719326691L;

    public ScpException() {
    }

    public ScpException(String message) {
        super(message);
    }

    public ScpException(String message, Throwable cause) {
        super(message, cause);
    }

    public ScpException(Throwable cause) {
        super(cause.getMessage() != null ? cause.getMessage() : cause.toString(), cause);
    }
}
